Next: 4. General features Up: 3. GMT overview and Previous: 3.1 GMT summary Contents Index

# 3.2 GMT quick reference

Instead of an alphabetical listing, this section contains a summary sorted by program purpose. Also included is a quick summary of the standard command line options and a breakdown of the -J option for each of the 25 map projections available in GMT.

FILTERING OF 1-D AND 2-D DATA
blockmean | L estimate () data filters/decimators
blockmedian | L estimate () data filters/decimators
blockmode | Mode estimate () data filters/decimators
filter1d | Filter 1-D data (time series)
grdfilter | Filter 2-D data in space domain
PLOTTING OF 1-D and 2-D DATA
grdcontour | Contouring of 2-D gridded data
grdimage | Produce images from 2-D gridded data
grdvector | Plot vector fields from 2-D gridded data
grdview | 3-D perspective imaging of 2-D gridded data
psbasemap | Create a basemap frame
psclip | Use polygon files as clipping paths
pscoast | Plot coastlines, filled continents, rivers, and political borders
pscontour | Direct contouring or imaging of xyz data by triangulation
pshistogram | Plot a histogram
psimage | Plot Sun rasterfiles on a map
psmask | Create overlay to mask specified regions of a map
psrose | Plot sector or rose diagrams
psscale | Plot grayscale or colorscale
pstext | Plot textstrings
pswiggle | Draw anomalies along track
psxy | Plot symbols, polygons, and lines in 2-D
psxyz | Plot symbols, polygons, and lines in 3-D

GRIDDING OF (X,Y,Z) TABLE DATA
nearneighbor | Nearest-neighbor gridding scheme
surface | Continuous curvature gridding algorithm
triangulate | Perform optimal Delauney triangulation on xyz data
SAMPLING OF 1-D AND 2-D DATA
grdsample | Resample a 2-D gridded data onto new grid
grdtrack | Sampling of 2-D data along 1-D track
sample1d | Resampling of 1-D data
PROJECTION AND MAP-TRANSFORMATION
grdproject | Transform gridded data to a new coordinate system
mapproject | Transform table data to a new coordinate system
project | Project data onto lines or great circles
INFORMATION
gmtdefaults | List the current default settings
gmtset | Command-line editing of parameters in the .gmtdefaults file
grdinfo | Get information about the content of gridded files
minmax | Report extreme values in table data files
MISCELLANEOUS
gmtmath | Reverse Polish Notation (RPN) calculator for table data
makecpt | Create GMT color palette tables
spectrum1d | Compute spectral estimates from time-series
triangulate | Perform optimal Delauney triangulation on xyz data
CONVERT OR EXTRACT SUBSETS OF DATA
gmtconvert | Convert table data from one format to another
gmtselect | Select table data subsets based on multiple spatial criteria
grd2xyz | Convert 2-D gridded data to table data
grdcut | Cut a sub-region from a gridded file
grdpaste | Paste together gridded files along common edge
grdreformat | Convert from one grid format to another
splitxyz | Split () table data into several segments
xyz2grd | Convert table data to 2-D gridded file
DETERMINE TRENDS IN 1-D AND 2-D DATA
fitcircle | Finds best-fitting great or small circles
grdtrend | Fits polynomial trends to gridded files ()
trend1d | Fits polynomial or Fourier trends to series
trend2d | Fits polynomial trends to series
OTHER OPERATIONS ON 2-D GRIDS
grd2cpt | Make color palette table from gridded file
grdclip | Limit the -range in gridded data sets
grdedit | Modify grid header information
grdfft | Operate on gridded files in frequency domain
grdgradient | Compute directional gradients from gridded files
grdhisteq | Histogram equalization for gridded files
grdlandmask | Creates mask gridded file from coastline database
grdmask | Set grid nodes in/outside a clip path to constants
grdmath | Reverse Polish Notation (RPN) calculator for gridded files
grdvolume | Calculate volume under a surface within a contour

STANDARDIZED COMMAND LINE OPTIONS
-B xinfo[/yinfo[/zinfo]][WESNZwesnz+][:.title:] Tickmarks. Each info is
[a]tick[mc][f tick[mc]][g tick[mc]][lp][:"label":][:,"unit":]
-H[n_headers] | ASCII tables have header record[s]
-J (upper case for width, lower case for scale) | Map projection (see below)
-JA | Lambert azimuthal equal area
-JB | Albers conic equal area
-JC | Cassini cylindrical
-JD | Equidistant conic
-JE | Azimuthal equidistant
-JF | Azimuthal Gnomonic
-JG | Azimuthal orthographic
-JH | Hammer equal area
-JI | Sinusoidal equal area
-JJ | Miller cylindrical
-JKf | Eckert IV equal area
-JKs | Eckert VI equal area
-JL | Lambert conic conformal
-JM or -JM | Mercator cylindrical
-JN | Robinson
-JOa | Oblique Mercator, 1: origin and azimuth
-JOb | Oblique Mercator, 2: two points
-JOc | Oblique Mercator, 3: origin and pole
-JP[a[] | Polar [azimuthal] () (or cylindrical)
-JQ | Equidistant cylindrical (Plate Carrée)
-JR | Winkel Tripel
-JS | General stereographic
-JT | Transverse Mercator
-JU | Universal Transverse Mercator (UTM)
-JV | Van der Grinten
-JW | Mollweide
-JX[lp][/[lp]][d] | Linear, log, and - (exponential)
-JY | General cylindrical equal area
-K | Append more PS later
-O | This is an overlay plot
-P | Select Portrait orientation
-R west/east/south/north[/zmin/zmax][r] | Specify Region of interest
-U[/dx/dy/][label] | Plot time-stamp on plot
-V | Run in verbose mode
-X[a]off | Shift plot origin in -direction
-Y[a]off | Shift plot origin in -direction
-c copies | Set number of plot copies [1]
-: | Expect y/x input rather than x/y

Next: 4. General features Up: 3. GMT overview and Previous: 3.1 GMT summary Contents Index